Bug 98382 - Anaconda generates an exeption
Anaconda generates an exeption
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 19:46 EDT by Marco Mora
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 15:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marco Mora 2003-07-01 19:46:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot from CD
2. pass the kickstatr config file
3.
    

Additional info:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 739, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 670, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 1299, in run
    self.setup_window(runres)
  File "/usr/lib/anaconda/gui.py", line 1271, in setup_window
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 943, in setScreen
    (step, args) = self.dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 262, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/autopart.py", line 1293, in doAutoPartition
    doPartitioning(diskset, partitions, doRefresh = 0)
  File "/usr/lib/anaconda/autopart.py", line 967, in doPartitioning
    (ret, msg) = processPartitioning(diskset, requests, newParts)
  File "/usr/lib/anaconda/autopart.py", line 911, in processPartitioning
    ret = fitSized(diskset, requests, 1, newParts)
  File "/usr/lib/anaconda/autopart.py", line 316, in fitSized
    disk = diskset.disks[drive]
KeyError: hde1

Local variables in innermost frame:
newParts: 
bootreq: New Part Request -- mountpoint: /boot uniqueID: 5
  type: ext2  format: 1  badblocks: None
  device: None drive: ['hde1']  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
largestPart: (0, None)
request: New Part Request -- mountpoint: /boot uniqueID: 5
  type: ext2  format: 1  badblocks: None
  device: None drive: ['hde1']  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
number: [0]
free: {'hdg': [<PedPartition object at 0x88e46d0>], 'hde': [<PedPartition object at 0x83632c8>], 'hda': [<PedPartition object at 0x8496900>]}
drive: hde1
numDrives: 0
num: 0
diskset: <partedUtils.DiskSet instance at 0x85629a4>
isBoot: 1
drives: ['hde1']
todo: {0: [<partRequests.PartitionSpec instance at 0x8832e04>]}
requests: <partitions.Partitions instance at 0x871f3a4>
primOnly: 1
Comment 1 Michael Fulbright 2003-07-02 16:53:38 EDT
Please attach the ks.cfg used for this installation.
Comment 2 Michael Fulbright 2003-07-31 15:29:44 EDT
Closing due to inactivity - please reopen if you have additional information to
add to this report.

Note You need to log in before you can comment on or make changes to this bug.